<template>
  <div id="app" class="container">
    <h1>Skillmeter</h1>
    <div class="skills-list">
      <div
        class="skills-list__item"
        v-for="(values, skillType, idx) in skills"
        :key="idx"
      >
        <div class="skills-list__name">{{ skillType }}</div>
        <div class="skills-list__items">
          <RangeBar
            v-for="(item, skillName, idx) in values"
            :key="idx"
            :skill-name="skillName"
            :range-current-default="item.value"
            :range-max="item.max"
          />
        </div>
      </div>
    </div>
    <ProgressBar />
  </div>
</template>

<script>
import RangeBar from './components/RangeBar.vue'
import ProgressBar from './components/ProgressBar.vue'
import skills from './mocks/skills'

export default {
  name: 'App',
  components: {
    RangeBar,
    ProgressBar,
  },

  data() {
    return {
      skills: skills,
    }
  },
}
</script>
